<?xml version="1.0" encoding="ISO-8859-1"?><pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="ciq-customised-constraints">
<!--
  This implementation supports genericode code lists for CIQ
  instances with instance-level meta data.
-->
<!--
    Start of synthesis of rules from code list context associations.

    Illustration of ciq code list customised constraints - ciq-customised-constraints.cva
  

    $Id: Ciq-customised-constraints.cva,v 1.1 2007/05/08 19:00:06 Ram Kumar Exp $
  
-->

<rule context="n:PersonName[not(parent::n:PartyName)]/n:NameElement//@n:ElementType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;LimitPersonNameElementEnumeration&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' FirstName LastName ',concat(' ',normalize-space(.),' ') ) ) ) or ( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;AddPersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddPersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddPersonNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' NativePlaceName ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for a Person name data.</assert>
</rule>

<rule context="a:AdministrativeArea/@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LimitAdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' State ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Administrative area in address data.</assert>
</rule>

<rule context="a:Locality/@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LimitLocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Suburb ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Locality in address data.</assert>
</rule>

<rule context="a:Premises/@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddPremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Tower ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Premises in address data.</assert>
</rule>

<rule context="na:PostalLabel/na:Addressee/na:DependencyName/@na:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddDependencyTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DependencyTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DependencyTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' C/O ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for dependency in party name and address data.</assert>
</rule>

<rule context="p:ElectronicAddressIdentifier//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LimitElectronicAddressIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddessIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddressIdentifierTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' EMAIL ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for electronic address identifier in party data.</assert>
</rule>

<rule context="p:ContactNumber/p:ContactNumberElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' CountryCode AreaCode LocalNumber Extension Pin Separator NationalNumber InternationalNumber ',concat(' ',normalize-space(.),' ') ) ) ) or ( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' UnparsedData ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for contact number data in party data.</assert>
</rule>
<!--
    End of synthesis of rules from code list context associations.
-->

<!--
    Start of synthesis of rules from code list context associations.

    Value list validation ciq-constraints.xml 
  

  $Id: ciq-constraints.cva, saturday June 01 2007 11:00:00 p.m. Ram Kumar $
  
-->

<rule context="@c:DataQualityType">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Valid Invalid ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Data Quality.</assert>
</rule>

<rule context="n:OrganisationName/n:SubDivisionName//@n:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubDivisionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubDivisionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubDivisionTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Department Division Branch BusinessUnit School Section ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for a Sub Division of an organisation.</assert>
</rule>

<rule context="n:OrganisationName/n:NameElement//@n:ElementType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;OrganisationNameElementEnumeration&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' NameOnly TypeOnly FullName ',concat(' ',normalize-space(.),' ') ) ) )">Bad name component '<value-of select="."/>' for an Organisation.</assert>
</rule>

<rule context="n:OrganisationName/@n:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;OrganisationNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationnameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' LegalName FormerName CommonUse PublishingName OfficialName UnofficialName Undefined ',concat(' ',normalize-space(.),' ') ) ) )">Bad name type '<value-of select="."/>' for an Organisation.</assert>
</rule>

<rule context="n:PersonName/n:NameElement//@n:ElementType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;PersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' PrecedingTitle Title FirstName MiddleName LastName OtherName Alias GenerationIdentifier Degree ',concat(' ',normalize-space(.),' ') ) ) )">Bad name component '<value-of select="."/>' for a Person.</assert>
</rule>

<rule context="n:PersonName//@n:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PersonNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Alias LegalName KnownAs MaidenName FormerName CommonUse NameAtBirth PreferredName OfficialName UnofficialName NickName PetName ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for a Person.</assert>
</rule>

<rule context="a:Country/a:NameElement//@a:NameType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;CountryNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CountryNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CountryNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Country name element data.</assert>
</rule>

<rule context="a:AdministrativeArea/a:SubAdministrativeArea/a:NameElement//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubAdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Sub Administrative Area name element.</assert>
</rule>

<rule context="a:AdministrativeArea/a:SubAdministrativeArea//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubAdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Country City Province Region ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Sub Administrative Area.</assert>
</rule>

<rule context="a:AdministrativeArea/a:NameElement//@a:NameType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;AdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Administrative Area name element data.</assert>
</rule>

<rule context="a:AdministrativeArea/@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' City State Territory Province ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Administrative Area.</assert>
</rule>

<rule context="a:Locality/a:SubLocality/a:NameElement//@a:NameType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;SubLocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Sub Locality Name element data.</assert>
</rule>

<rule context="a:Locality/a:SubLocality//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubLocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Municipality Village ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Sub Locality Name code.</assert>
</rule>

<rule context="a:Locality/a:NameElement//@a:NameType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;LocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Locality name element data.</assert>
</rule>

<rule context="a:Locality/@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Municipality PostTown Place Suburb Town Village Area Zone ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Locality.</assert>
</rule>

<rule context="a:Thoroughfare/a:NameElement//@a:NameType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;ThoroughfareNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ThoroughfareNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ThoroughfareNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' NameOnly PreDirection PostDirection NameAndNumber NameAndType NameAndType NameNumberAndTypeOnly Unstructured SubThoroughfareConnector ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Thoroughfare name element data.</assert>
</rule>

<rule context="a:Thoroughfare/a:Number//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name RangeFrom Range RangeTo Prefix Suffix Number Separator Extension ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Identifier data of Thoroughfare.</assert>
</rule>

<rule context="a:Premises/a:SubPremises//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubPremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubPremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubPremisesTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Room Suite Apartment Shop Office Unit ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Sub Premises.</assert>
</rule>

<rule context="a:Premises/a:NameElement//@a:NameType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;PremisesElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesElementTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Location SubPremisesConnector InternalThoroughfare ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Premises name element data.</assert>
</rule>

<rule context="a:Premises/a:Number//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name RangeFrom Range RangeTo Prefix Suffix Number Separator Extension ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Identifier data of Premises.</assert>
</rule>

<rule context="a:Premises//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Airport Area Building Farm Hospital House LandMark LargeMailUser Lot House RainwayStation ShoppingComplex University ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Premises.</assert>
</rule>

<rule context="a:PostalDeliveryPoint//@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PostalDeliveryPointTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PostalDeliveryPointTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PostalDeliveryPointTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' GPOBox POBox LockedBag MailStop PigeonHole PrivateBag ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Postal Delivery Point.</assert>
</rule>

<rule context="a:LocationByCoordinates/a:Latitude//@a:Direction">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeRef&#34;]!=&#34;DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' East West North South ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Latitude Direction.</assert>
</rule>

<rule context="a:LocationByCoordinates/a:Longitude//@a:Direction">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeRef&#34;]!=&#34;DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' East West North South ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Longitude Direction.</assert>
</rule>

<rule context="a:Address/@a:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddressTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddressTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddressTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Airport Business CaravanPark CommercialPark CommunityDevelopment EducationalInstitution Entertainment Hospital Location Marina MilitaryBase OverseasMilitary Port Primary RecreationalPark Resort RetirementVillage Rural Secondary ShoppingCentre SportingCentre Urban ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for an Address.</assert>
</rule>

<rule context="a:Address//@a:UsageType">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Business Billing Communication Contact Mailing Personal Postal Residential ',concat(' ',normalize-space(.),' ') ) ) )">Bad usage type '<value-of select="."/>' for an Address.</assert>
</rule>

<rule context="p:Accounts/p:Account/p:AccountElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AccountElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AccountElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AccountElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' AccountID IssuingAuthority AccountType AccountBranch IssuingCountryName ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for account data.</assert>
</rule>

<rule context="p:ContactNumbers/p:ContactNumber/p:ContactNumberElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' CountryCode AreaCode LocalNumber Extension Pin Separator NationalNumber InternationalNumber ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for contact number data.</assert>
</rule>

<rule context="p:ContactNumbers/p:ContactNumber//@p:CommunicationMediaType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeRef&#34;]!=&#34;CommunicationMediaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CommunicationMediaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CommunicationMediaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Cell Fax Pager Telephone VOIP ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for Communication Media.</assert>
</rule>

<rule context="p:Documents/p:Document/p:DocumentElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;DocumentElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' DocumentID DocumentName Privilege Restriction GroupName VerificationCode Category IssuePlace AccessCode Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for document data.</assert>
</rule>

<rule context="p:Documents/p:Document//@n:ElementType">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList-1.0&#34;) ) ) and ( . = 'Passport' or . = 'DriverLicense' or . = 'CreditCard' or . = 'BankCard' or . = 'KeyCard' or . = 'Access Card' or . = 'IdentificationCard' or . = 'Certificate' or . = 'MileageProgram' ) )">Bad type '<value-of select="."/>' for document.</assert>
</rule>

<rule context="p:Documents/p:Document/@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList-1.0&#34;) ) ) and ( . = 'Passport' or . = 'DriverLicense' or . = 'CreditCard' or . = 'BankCard' or . = 'KeyCard' or . = 'Access Card' or . = 'IdentificationCard' or . = 'Certificate' or . = 'MileageProgram' ) )">Bad type '<value-of select="."/>' for document.</assert>
</rule>

<rule context="p:ElectronicAddressIdentifiers/p:ElectronicAddressIdentifier//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;ElectronicAddressIdentifierTypeEnumeration&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddressIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddressIdentifierTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' AIM EMAIL GOOGLE GIZMO ICQ JABBER MSN SIP SKYPE URL XRI YAHOO ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for electronic address identifier data.</assert>
</rule>

<rule context="p:Identifiers/p:Identifier/p:IdentifierElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PartyIdentifierElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Identifier IssuingCountryName ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for identifier element data.</assert>
</rule>

<rule context="p:Identifiers/p:Identifier/@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PartyIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' TaxID CompanyID NationalID RegistrationID ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for type of identifier.</assert>
</rule>

<rule context="p:Memberships/p:Membership/p:MembershipElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;MembershipElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:MembershipElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:MembershipElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' MembershipNumber Privilege Restriction GroupName Category Type IssuingCountryCode Role ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for membership data.</assert>
</rule>

<rule context="p:Vehicles/p:Vehicle/p:VehicleElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;VehicleInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VehicleInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VehicleInfoElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Make Model ManufactureDate EngineNumber ChassisNumber BodyNumber LicensePlateNumber LicensePlateType Colour BodyType Type ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for type of vehicle data.</assert>
</rule>

<rule context="p:OrganisationInfo//@p:CategoryType">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Vendor GovernmentAgency University College School Club Association Consortium Company ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for type of organisation category.</assert>
</rule>

<rule context="p:PersonInfo//@p:CategoryType">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' ExistingCustomer PotentialCustomer Employee Friend ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for type of person category.</assert>
</rule>

<rule context="p:BirthInfo/p:BirthInfoElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;BirthInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BirthInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BirthInfoElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' BirthStar BirthPlace BirthSign ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for birth data.</assert>
</rule>

<rule context="p:Occupations/p:Occupation/p:OccupationElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;OccupationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OccupationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OccupationElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Role PositionTitle ReportsTo EmploymentType CostCentre Rank ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for occupation data.</assert>
</rule>

<rule context="p:PhysicalInfo//@p:BloodGroup">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeRef&#34;]!=&#34;BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' A+ A- B+ B- AB+ AB ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for type of blood group.</assert>
</rule>

<rule context="p:PhysicalInfo/p:PhysicalInfoFreeTextType//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' A+ A- B+ B- AB+ AB ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for free text of physical info.</assert>
</rule>

<rule context="p:PhysicalInfo/p:Feature//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;FeatureTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:FeatureTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:FeatureTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Weight Height HairColor EyeColor SkinColor Waist Breast Hip ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for physical info feature data.</assert>
</rule>

<rule context="p:Qualifications/p:Qualification/p:QualificationElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;QualificationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:QualificationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:QualificationElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' QualificationName MajorSubject MinorSubject Grade CourseDuration CompletionDate Award Restriction Registration WayOfStudy ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for qualification data.</assert>
</rule>

<rule context="p:Visas/p:Visa/p:VisaElement//@p:Type">
  <assert test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;VisaElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VisaElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VisaElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Type Number Code Country IssuePlace MaximumStay Restriction Privilege SpecialCondition EntryType ',concat(' ',normalize-space(.),' ') ) ) )">Bad type '<value-of select="."/>' for visa data.</assert>
</rule>
<!--
    End of synthesis of rules from code list context associations.
-->
</pattern>